Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84244 - Traceback when starting in text-mode
Summary: Traceback when starting in text-mode
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-mouse
Version: phoebe
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-02-13 18:49 UTC by Miloslav Trmac
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-17 16:50:45 UTC


Attachments (Terms of Use)

Description Miloslav Trmac 2003-02-13 18:49:22 UTC
Description of problem:
Attempting to start r-c-mouse without X running produced the following
traceback (sorry about typos, the machine has no net connection):

Traceback (most recent call last)
File "/usr/share/redhat-config-mouse/redhat-config-mouse.py", line 69, in ?
  useTextMode()
File "/usr/share/redhat-config-mouse/redhat-config-mouse.py", line 23, in 
useTextMode
  app_mouse_tui.childWindow()
File "/usr/share/redhat-config-mouse/mouse_tui.py", line 153, in __init__
  if rc.getDevice() == "ttyS"
AttributeError: "int" object has no attribute "getDevice"

Version-Release number of selected component (if applicable):
1.0.3-4

Additional info:
Mouse type was set to "sun" for some reason at that time.
s/rc/mouse/ at that line got rid of this traceback, but then I got
another one.

Comment 1 Brent Fox 2003-02-13 20:19:17 UTC
Should be fixed in 1.0.4-5.  Thanks for your report.  QA, please verify.

Comment 2 Peter van Egdom 2003-03-15 10:27:41 UTC
Verified that starting "redhat-config-mouse" works again in text mode with
package "redhat-config-mouse-1.0.5-1" on Phoebe 8.0.94.

Comment 3 Brent Fox 2003-03-17 16:50:45 UTC
Thanks for the testing.  Resolving as Rawhide.


Note You need to log in before you can comment on or make changes to this bug.